The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Upgrading to the latest add-on scripts (phpbb etc)

Discussion in 'General Discussion' started by demomen, Feb 26, 2005.

  1. demomen

    demomen Well-Known Member

    Joined:
    Sep 25, 2004
    Messages:
    111
    Likes Received:
    0
    Trophy Points:
    16
    Hello

    I have running cPanel 9.9.9-S15 and I ran /scripts/upcp but it doesn't update phpbb to 2.0.12 I have 2.0.11 showing

    I have the Addon Script Manager in WHM


    Can someone tell me what to do to update all the add-on scripts
     
  2. easyhoster1

    easyhoster1 Well-Known Member

    Joined:
    Sep 25, 2003
    Messages:
    659
    Likes Received:
    0
    Trophy Points:
    16
    You need to upgrade to current version to get the upgrade for phpbb, or wait for the next stable release.
     
  3. demomen

    demomen Well-Known Member

    Joined:
    Sep 25, 2004
    Messages:
    111
    Likes Received:
    0
    Trophy Points:
    16
    What is the difference with the CURRENT version's - just the ad-on scripts ?

    Also if I was to choose Manual Updates Only (CURRENT tree) what would that do :)
     
  4. easyhoster1

    easyhoster1 Well-Known Member

    Joined:
    Sep 25, 2003
    Messages:
    659
    Likes Received:
    0
    Trophy Points:
    16
    It will update the awstats security hole also, if you choose current (manually) and then click upgrade to latest version, you will get the new current of cpanel.

    You can see the versions that are latest for your OS at;

    http://layer2.cpanel.net/
     
  5. cPanelBilly

    cPanelBilly Guest

    This is actually not true, the addon scripts are on a seperate release schedule that the main cPanel tree. When you update your server (upcp is ran) it will automatically download the most up to date version of the addon scripts.
     
  6. asmithjr

    asmithjr Well-Known Member

    Joined:
    Jun 13, 2003
    Messages:
    475
    Likes Received:
    1
    Trophy Points:
    18
    Run this from the prompt.
    /usr/local/cpanel/whostmgr/bin/whostmgr2 --updateaddons

    then check your WHM. your updates are not running.
     
  7. easyhoster1

    easyhoster1 Well-Known Member

    Joined:
    Sep 25, 2003
    Messages:
    659
    Likes Received:
    0
    Trophy Points:
    16
    We have, and shows phpbb:latest and whm still would show 2.0.11 The only way for us to get the new addon scripts is to update cpanel version. upcp runs every night.

    FREEBSD
     
  8. asmithjr

    asmithjr Well-Known Member

    Joined:
    Jun 13, 2003
    Messages:
    475
    Likes Received:
    1
    Trophy Points:
    18
    ok, mine runs also but only have updates set to manual updates.

    when I ran the command then checked the WHM showed the 2.0.12 and also allowed me to make te updates to the customers running the 2.0.11
     
  9. easyhoster1

    easyhoster1 Well-Known Member

    Joined:
    Sep 25, 2003
    Messages:
    659
    Likes Received:
    0
    Trophy Points:
    16
    Tried automatic and manual and still shows the old version in addon manager.

    Updating addon type:scripts addon:phpBB version:latest.......Done

    This is why I assumed, we needed to upgrade the cpanel version to get the latest addon scripts as it looks like they are packaged to Edge first.

    This server is running WHM 10.0.0 cPanel 10.0.0-R11

    I really dont mind upgrading to current, but do not want to break everyones Horde webmail.
    Does anyone know if the multi login and address book problems have been fixed Horde 3.0?
     
Loading...

Share This Page